#3770 closed defect (wontfix)

RSB 3rd party packages failing to build

Reported by: Chris Johns Owned by:
Priority: normal Milestone: 5.1
Component: tool/rsb Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The following packages do not build or have issues and will be removed if they are not updated:

  1. ntp
  2. microwindows
  3. nxlib
  4. lwip

The lwip patch used by this package needs to be updated. The install target for the Makefile does not support DESTDIR and cannot be staged. It is being built however a lack of DESTDIR is not compatible with the requirements of the RSB for staged builds. The package installs directly to the prefix which is not suppose to happen.

The packages will need to be fixed or removed before 5.1. There is no point releasing the RSB with packages that are broken.

Change History (1)

comment:1 Changed on Dec 12, 2019 at 5:05:47 PM by Chris Johns

Resolution: wontfix
Status: newclosed

I am going to close this ticket and these packages will not be available with the RSB. With no RSB support I do not know who builds these packages and if they are valid?

Note: See TracTickets for help on using tickets.